<?php
session_start();
include("../conexion.php");
include("../include/sesiones.php");

$variable=trim($_REQUEST['nombrecliente']);
if(empty($variable))
{
    echo "";
}
else
{
    $queryy=mysqli_query($con,"SELECT * from cliente where (clie_nombre like '%$variable%' OR clie_cc like '%$variable%' OR clie_telefono like '%$variable%' OR clie_empresa like '%$variable%') and clie_activo='si' and clie_nombre<>'CLIENTE MOSTRADOR' and empresa='$empresa' LIMIT 10") or die(mysqli_error($con));
    $numero = mysqli_num_rows($queryy);
    if($numero>0)
    {
        echo "<table id='table' class='table table-striped table-bordered'>
                <tr>
                    <th width='20%'>N° C.C</th>
                    <th>NOMBRE</th>
                    <th width='7%'> </th>
                </tr>";
        while($rowb=mysqli_fetch_array($queryy))
        {
            $tarifas_tar_id=$rowb['tarifas_tar_id'];
            $datos=mysqli_query($con,"SELECT * FROM tarifas where tar_id='$tarifas_tar_id'") ;
            $fila=mysqli_fetch_array($datos);
            $tar_nombre=$fila['tar_nombre'];
            if($tar_nombre=='ASESOR')
            {
                $icon= '<i class="btn-icon-only fa fa-check-circle alert-info" aria-hidden="true"></i>';
            }
            else
            {
                $icon= '';
            }
            if($rowb['facturador']=='si')
            {
                 $facturador= '<i class="btn-icon-only fa fa-desktop alert-danger" aria-hidden="true"></i>';
            }
            else
            {
                 $facturador= '';
            }
?>
        <tr>
            <td><?php echo $rowb["clie_cc"];?></td>
            <td><?php echo $rowb["clie_nombre"];?> <?php echo $icon; echo $facturador;?></td>
            <td>
                <a href="#"class="btn btn-xs btn-info"  onclick="agregar_cliente('<?php echo $rowb['clie_id']; ?>')"><i class="fa fa-plus"></i></a>
            </td>
        </tr>
<?php   }  ?>
    </table>
<?php 
    }
else
    {
        echo "<table id='table' class='table table-striped table-bordered'>
                <tr>
                    <td colpans='3'>SIN RESULTADOS </td>
                </tr>
            </table>";
    }
}
?>
<SCRIPT>
function agregar_cliente(clie_id)
{
    $.ajax({
        type: "POST",
        url: "./php_facturar/cliente_agregar.php",
        data: "clie_id="+clie_id,

        beforeSend: function(objeto){
        $("#tabla").html("Mensaje: Cargando...");
        },
        success: function(datos){
        $("#tabla").html(datos);
        $('#myModal_cliente').modal('hide');
        $('body').removeClass('modal-open');
        $('.modal-backdrop').remove();
        
        loadTabla();
        loadtotal();  
        loadcliente();
        load(1);
        loadbotones();
        }
    });
}
</SCRIPT>